set(COMPRESSION_UNIT_TEST_FILES 
            compression/TestStreamCompressor.cpp
            compression/TestHuffmanStream.cpp
            compression/TestLz77Encoder.cpp
    PARENT_SCOPE
    )
    
set(COMPRESSION_UNIT_TEST_DEPENDENCIES 
        compression
    PARENT_SCOPE
    )